Listar clientes
curl --request GET \
--url https://besimplo.com/api/v1/customers \
--header 'Authorization: <api-key>'import requests
url = "https://besimplo.com/api/v1/customers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://besimplo.com/api/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://besimplo.com/api/v1/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://besimplo.com/api/v1/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://besimplo.com/api/v1/customers")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://besimplo.com/api/v1/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"url": "/api/v1/customers",
"has_more": false,
"data": [
{
"id": "cus_01h455vb4pex5vsknk084sn02q",
"object": "customer",
"live_mode": true,
"created": 1680893993,
"name": "João Silva",
"external_code": "01953808-3a3a-712f-99ce-f6943c8141db",
"identifier": "123.456.789-00",
"email": "joao.silva@exemplo.com",
"phone": "+5511999998888",
"description": "individual",
"address": {
"zip_code": "12345012",
"street": "Alguma Rua",
"number": "9934",
"district": "D'algum Bairro",
"city": "Campinas",
"state": "SP",
"complement": "Apt. 123"
}
}
]
}Clientes
Listar clientes
Retorna uma lista paginada de clientes da conta, com filtros opcionais.
GET
/
api
/
v1
/
customers
Listar clientes
curl --request GET \
--url https://besimplo.com/api/v1/customers \
--header 'Authorization: <api-key>'import requests
url = "https://besimplo.com/api/v1/customers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://besimplo.com/api/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://besimplo.com/api/v1/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://besimplo.com/api/v1/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://besimplo.com/api/v1/customers")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://besimplo.com/api/v1/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"url": "/api/v1/customers",
"has_more": false,
"data": [
{
"id": "cus_01h455vb4pex5vsknk084sn02q",
"object": "customer",
"live_mode": true,
"created": 1680893993,
"name": "João Silva",
"external_code": "01953808-3a3a-712f-99ce-f6943c8141db",
"identifier": "123.456.789-00",
"email": "joao.silva@exemplo.com",
"phone": "+5511999998888",
"description": "individual",
"address": {
"zip_code": "12345012",
"street": "Alguma Rua",
"number": "9934",
"district": "D'algum Bairro",
"city": "Campinas",
"state": "SP",
"complement": "Apt. 123"
}
}
]
}Authorizations
A chave de API usada para autenticar a requisição e identificar a sua conta.
Exemplo: Authorization: ApiKey my-secure-key
Query Parameters
Filtrar por e-mail do cliente
Filtrar por CPF ou CNPJ, com ou sem pontuação
Minimum string length:
1Example:
"39053344705"
Filtrar pelo código externo definido pela integração
Required string length:
1 - 250Example:
"crm_customer_123"
Resultados por página
Required range:
1 <= x <= 100Cursor para próxima página
Response
Lista de clientes
Tipo do objeto. Sempre 'list'.
Available options:
list Example:
"list"
URL do recurso solicitado.
Example:
"/api/v1/customers"
Indica se há mais resultados disponíveis para paginação.
Example:
false
Lista de clientes.
Show child attributes
Show child attributes

